package com.muyu.product.domain.req;

import com.muyu.product.domain.AttributeInfo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class AttributeGroupUpdReq {

    /**
     *属性组id
     */
    private Long id;
    /**
     * 组名称
     */
    private String name;
    /**
     * 备注
     */
    private String remark;
    /**
     * 属性id 集合
     */

    private List<AttributeInfo> attributeList;
}
